Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 22

Thread: Update Manager/Software Center/apt-get problem "The package system is broken"

  1. #11
    Join Date
    Apr 2014
    Beans
    1

    Re: Update Manager/Software Center/apt-get problem "The package system is broken"

    I have the same problem.

    Here's my source.list
    root@PopularPokapak:~# cat /etc/apt/sources.list
    # deb cdrom:[Ubuntu 12.04 LTS _Precise Pangolin_ - Beta amd64 (20120328)]/ dists/precise/main/binary-i386/


    # deb cdrom:[Ubuntu 12.04 LTS _Precise Pangolin_ - Beta amd64 (20120328)]/ dists/precise/restricted/binary-i386/
    # deb cdrom:[Ubuntu 12.04 LTS _Precise Pangolin_ - Beta amd64 (20120328)]/ precise main restricted


    # See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
    # newer versions of the distribution.
    deb http://mirrors.psu.ac.th/pub/ubuntu/ precise main restricted
    deb-src http://mirrors.psu.ac.th/pub/ubuntu/ precise main restricted


    ## Major bug fix updates produced after the final release of the
    ## distribution.
    deb http://mirrors.psu.ac.th/pub/ubuntu/ precise-updates main restricted
    deb-src http://mirrors.psu.ac.th/pub/ubuntu/ precise-updates main restricted


    ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    ## team. Also, please note that software in universe WILL NOT receive any
    ## review or updates from the Ubuntu security team.
    deb http://mirrors.psu.ac.th/pub/ubuntu/ precise universe
    deb-src http://mirrors.psu.ac.th/pub/ubuntu/ precise universe
    deb http://mirrors.psu.ac.th/pub/ubuntu/ precise-updates universe
    deb-src http://mirrors.psu.ac.th/pub/ubuntu/ precise-updates universe


    ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    ## team, and may not be under a free licence. Please satisfy yourself as to
    ## your rights to use the software. Also, please note that software in
    ## multiverse WILL NOT receive any review or updates from the Ubuntu
    ## security team.
    deb http://mirrors.psu.ac.th/pub/ubuntu/ precise multiverse
    deb-src http://mirrors.psu.ac.th/pub/ubuntu/ precise multiverse
    deb http://mirrors.psu.ac.th/pub/ubuntu/ precise-updates multiverse
    deb-src http://mirrors.psu.ac.th/pub/ubuntu/ precise-updates multiverse


    ## N.B. software from this repository may not have been tested as
    ## extensively as that contained in the main release, although it includes
    ## newer versions of some applications which may provide useful features.
    ## Also, please note that software in backports WILL NOT receive any review
    ## or updates from the Ubuntu security team.
    deb http://mirrors.psu.ac.th/pub/ubuntu/ precise-backports main restricted universe multiverse
    deb-src http://mirrors.psu.ac.th/pub/ubuntu/ precise-backports main restricted universe multiverse


    deb http://mirrors.psu.ac.th/pub/ubuntu/ precise-security main restricted
    deb-src http://mirrors.psu.ac.th/pub/ubuntu/ precise-security main restricted
    deb http://mirrors.psu.ac.th/pub/ubuntu/ precise-security universe
    deb-src http://mirrors.psu.ac.th/pub/ubuntu/ precise-security universe
    deb http://mirrors.psu.ac.th/pub/ubuntu/ precise-security multiverse
    deb-src http://mirrors.psu.ac.th/pub/ubuntu/ precise-security multiverse


    ## Uncomment the following two lines to add software from Canonical's
    ## 'partner' repository.
    ## This software is not part of Ubuntu, but is offered by Canonical and the
    ## respective vendors as a service to Ubuntu users.
    deb http://archive.canonical.com/ubuntu precise partner
    deb-src http://archive.canonical.com/ubuntu precise partner


    ## This software is not part of Ubuntu, but is offered by third-party
    ## developers who want to ship their latest software.
    deb http://extras.ubuntu.com/ubuntu precise main
    deb-src http://extras.ubuntu.com/ubuntu precise main
    root@PopularPokapak:~# ls /etc/apt/sources.list.d
    danielrichter2007-grub-customizer-precise.list mendeleydesktop.list.save
    dropbox.list private-ppa.launchpad.net_commercial-ppa-uploaders_pdfstudio7demo_ubuntu.list
    dropbox.list.save private-ppa.launchpad.net_commercial-ppa-uploaders_pdfstudio7demo_ubuntu.list.save
    google-chrome.list.save tualatrix-ppa-precise.list
    google-talkplugin.list tualatrix-ppa-precise.list.save
    google-talkplugin.list.save ubuntu-wine-ppa-precise.list
    mendeleydesktop.list ubuntu-wine-ppa-precise.list.save

    Thank you,
    pp

  2. #12
    Join Date
    Sep 2006
    Location
    France.
    Beans
    Hidden!
    Distro
    Lubuntu Development Release

    Re: Update Manager/Software Center/apt-get problem "The package system is broken"

    @iampokpak, do you have the same problem with the same libraries ? More precisely, these ones :
    libhcrypto4-heimdal
    libhcrypto4-heimdal:i386
    | My old and mostly abandoned blog |
    Linux user #413984 ; Ubuntu user #178
    J'aime les fraises.
    Nighty night me lovelies!

    | Reinstalling Ubuntu ? Please check this bug first ! |
    | Using a ppa ? Please install ppa-purge from universe, you may need it should you want to revert packages back |
    | No support requests by PM, thanks |

  3. #13
    Join Date
    Apr 2014
    Beans
    16

    Re: Update Manager/Software Center/apt-get problem "The package system is broken"

    cat /etc/apt/sources.list

    Code:
     
    
    # See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
    # newer versions of the distribution.
    deb http://archive.ubuntu.com/ubuntu/ precise main restricted
    deb-src http://archive.ubuntu.com/ubuntu/ precise main restricted
    
    
    ## Major bug fix updates produced after the final release of the
    ## distribution.
    deb http://archive.ubuntu.com/ubuntu/ precise-updates main restricted
    deb-src http://archive.ubuntu.com/ubuntu/ precise-updates main restricted
    
    
    ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    ## team. Also, please note that software in universe WILL NOT receive any
    ## review or updates from the Ubuntu security team.
    deb http://archive.ubuntu.com/ubuntu/ precise universe
    deb-src http://archive.ubuntu.com/ubuntu/ precise universe
    deb http://archive.ubuntu.com/ubuntu/ precise-updates universe
    deb-src http://archive.ubuntu.com/ubuntu/ precise-updates universe
    
    
    ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    ## team, and may not be under a free licence. Please satisfy yourself as to
    ## your rights to use the software. Also, please note that software in
    ## multiverse WILL NOT receive any review or updates from the Ubuntu
    ## security team.
    deb http://archive.ubuntu.com/ubuntu/ precise multiverse
    deb-src http://archive.ubuntu.com/ubuntu/ precise multiverse
    deb http://archive.ubuntu.com/ubuntu/ precise-updates multiverse
    deb-src http://archive.ubuntu.com/ubuntu/ precise-updates multiverse
    
    
    ## N.B. software from this repository may not have been tested as
    ## extensively as that contained in the main release, although it includes
    ## newer versions of some applications which may provide useful features.
    ## Also, please note that software in backports WILL NOT receive any review
    ## or updates from the Ubuntu security team.
    deb http://archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse
    deb-src http://archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse
    
    
    ## This software is not part of Ubuntu, but is offered by Canonical and the
    ## respective vendors as a service to Ubuntu users.
    deb http://archive.canonical.com/ubuntu precise partner
    deb-src http://archive.canonical.com/ubuntu precise partner
    
    
    ## Uncomment the following two lines to add software from Ubuntu's
    ## 'extras' repository.
    ## This software is not part of Ubuntu, but is offered by third-party
    ## developers who want to ship their latest software.
    # deb http://extras.ubuntu.com/ubuntu precise main
    # deb-src http://extras.ubuntu.com/ubuntu precise main
    ls /etc/apt/sources.list.d

    Code:
    precise-dell.list  ubuntu-extras.list

  4. #14
    Join Date
    Sep 2006
    Location
    France.
    Beans
    Hidden!
    Distro
    Lubuntu Development Release

    Re: Update Manager/Software Center/apt-get problem "The package system is broken"

    I've browsed through the Dell repository and I guess I have a hard time to find where the libs are coming from.

    So please run :
    Code:
    apt-cache policy libhcrypto4-heimdal
    apt-cache policy libhcrypto4-heimdal:i386
    | My old and mostly abandoned blog |
    Linux user #413984 ; Ubuntu user #178
    J'aime les fraises.
    Nighty night me lovelies!

    | Reinstalling Ubuntu ? Please check this bug first ! |
    | Using a ppa ? Please install ppa-purge from universe, you may need it should you want to revert packages back |
    | No support requests by PM, thanks |

  5. #15
    Join Date
    Apr 2014
    Beans
    16

    Re: Update Manager/Software Center/apt-get problem "The package system is broken"

    Code:
    libhcrypto4-heimdal:  Installed: 1.6~git20120311.dfsg.1-2ubuntu0.1
      Candidate: 1.6~git20120311.dfsg.1-2ubuntu0.1
      Version table:
     *** 1.6~git20120311.dfsg.1-2ubuntu0.1 0
            500 http://archive.ubuntu.com/ubuntu/ precise-updates/main amd64 Packages
            100 /var/lib/dpkg/status
         1.6~git20120311.dfsg.1-2 0
            500 http://archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
    Code:
    libhcrypto4-heimdal:i386:  Installed: 1.6~git20120311.dfsg.1-2
      Candidate: 1.6~git20120311.dfsg.1-2ubuntu0.1
      Version table:
         1.6~git20120311.dfsg.1-2ubuntu0.1 0
            500 http://archive.ubuntu.com/ubuntu/ precise-updates/main i386 Packages
     *** 1.6~git20120311.dfsg.1-2 0
            500 http://archive.ubuntu.com/ubuntu/ precise/main i386 Packages
            100 /var/lib/dpkg/status
    Thanks man... also, why do I need the amd64 packages anyway? mine is an intel core i5..
    Last edited by kakar; April 28th, 2014 at 09:00 PM. Reason: wish i'd had an epiphany

  6. #16
    Join Date
    Sep 2006
    Location
    France.
    Beans
    Hidden!
    Distro
    Lubuntu Development Release

    Re: Update Manager/Software Center/apt-get problem "The package system is broken"

    Please try do disable the dell repos and see if it helps. The installed versions are the ones from the main repos, so the conflict version comes from some other place.
    | My old and mostly abandoned blog |
    Linux user #413984 ; Ubuntu user #178
    J'aime les fraises.
    Nighty night me lovelies!

    | Reinstalling Ubuntu ? Please check this bug first ! |
    | Using a ppa ? Please install ppa-purge from universe, you may need it should you want to revert packages back |
    | No support requests by PM, thanks |

  7. #17
    Join Date
    Apr 2014
    Beans
    16

    Re: Update Manager/Software Center/apt-get problem "The package system is broken"

    Hey,
    first off thanks for taking out time.. I tried that too.. no change in status. Advice further? Also, should I attempt to get the latest versions of those files and install them manually? could that help?

  8. #18
    Join Date
    Sep 2006
    Location
    France.
    Beans
    Hidden!
    Distro
    Lubuntu Development Release

    Re: Update Manager/Software Center/apt-get problem "The package system is broken"

    OK, would you know where these libs were coming from ?
    I'm guessing you ran the update/upgrade after removing the Dell repos.

    Please try this and see if you can find which package you installed that brought them in :
    Code:
    apt-cache rdepends libhcrypto4-heimdal
    apt-cache rdepends libhcrypto4-heimdal:i386
    As an example of what you should get, leafpad being the simple text editor for lubuntu :
    Code:
    apt-cache rdepends leafpad
    leafpad
    Reverse Depends:
      lxde
      lubuntu-desktop
    | My old and mostly abandoned blog |
    Linux user #413984 ; Ubuntu user #178
    J'aime les fraises.
    Nighty night me lovelies!

    | Reinstalling Ubuntu ? Please check this bug first ! |
    | Using a ppa ? Please install ppa-purge from universe, you may need it should you want to revert packages back |
    | No support requests by PM, thanks |

  9. #19
    Join Date
    Apr 2014
    Beans
    16

    Re: Update Manager/Software Center/apt-get problem "The package system is broken"

    Hey bapoumba,

    Ive been away to the himalayas travelling and trekking for the past month or so. Its been so much fun and the mountains are just so beautiful, but now its back to work!

    Ok.. the I had purchased this particular laptop from Dell, a vostro and it came preloaded with Ubuntu 12.04. So I believe that when Dell loaded ubuntu 12.04, they put certain packages to customise/enhance the ubuntu install, and that is where these packages probably come from.

    The output for "apt-cache rdepends libhcrypto4-heimdal" is:-
    Code:
     libhcrypto4-heimdal
    Reverse Depends:
      libhcrypto4-heimdal:i386
      libhcrypto4-heimdal:i386
      libotp0-heimdal
      heimdal-servers
      heimdal-kdc
      heimdal-kcm
      heimdal-clients
      libkrb5-26-heimdal
      libkdc2-heimdal
      libhx509-5-heimdal
      libheimntlm0-heimdal
      libgssapi3-heimdal
      heimdal-multidev
      libhcrypto4-heimdal:i386
      libhcrypto4-heimdal:i386
      samba4-testsuite
      libotp0-heimdal
      libdcerpc-server0
      heimdal-servers
      heimdal-kdc
      heimdal-kcm
      heimdal-clients
      libkrb5-26-heimdal
      libkdc2-heimdal
      libhx509-5-heimdal
      libheimntlm0-heimdal
      libgssapi3-heimdal
      heimdal-multidev

    and for "apt-cache rdepends libhcrypto4-heimdal:i386"
    Code:
     libhcrypto4-heimdal:i386
    Reverse Depends:
      libotp0-heimdal:i386
      heimdal-servers:i386
      heimdal-kdc:i386
      heimdal-kcm:i386
      heimdal-clients:i386
      libkrb5-26-heimdal:i386
      libkdc2-heimdal:i386
      libhx509-5-heimdal:i386
      libheimntlm0-heimdal:i386
      libgssapi3-heimdal:i386
      heimdal-multidev:i386
      libhcrypto4-heimdal
      libhcrypto4-heimdal
      samba4-testsuite:i386
      libotp0-heimdal:i386
      libdcerpc-server0:i386
      heimdal-servers:i386
      heimdal-kdc:i386
      heimdal-kcm:i386
      heimdal-clients:i386
      libkrb5-26-heimdal:i386
      libkdc2-heimdal:i386
      libhx509-5-heimdal:i386
      libheimntlm0-heimdal:i386
      libhcrypto4-heimdal
      libhcrypto4-heimdal
      libgssapi3-heimdal:i386
      heimdal-multidev:i386
    I wonder if that is of any help. However, I wonder if there is any other way to repair the package catalog.. Also, I tried to install synaptic manually via deb, because I have a nagging feeling that installing synaptic should help me somehow to uninstall the troublesome packages with much more ease. However, a warning popped up saying that I would not get updates for various ubuntu packages in the future if I install synaptic. I dont know what to think anymore..

  10. #20
    Join Date
    Sep 2006
    Location
    France.
    Beans
    Hidden!
    Distro
    Lubuntu Development Release

    Re: Update Manager/Software Center/apt-get problem "The package system is broken"

    Have you disabled the dell third party repo ?

    Hey, looks like a nice trip :jealous:
    | My old and mostly abandoned blog |
    Linux user #413984 ; Ubuntu user #178
    J'aime les fraises.
    Nighty night me lovelies!

    | Reinstalling Ubuntu ? Please check this bug first ! |
    | Using a ppa ? Please install ppa-purge from universe, you may need it should you want to revert packages back |
    | No support requests by PM, thanks |

Page 2 of 3 FirstFirst 123 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •